> ## Documentation Index
> Fetch the complete documentation index at: https://docs.krea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Krea 2 Medium

> Best for expressive illustrations.

## Pricing

<Note>Fixed API prices in USD.</Note>

| K2 Billing Tier  |   Price |
| ---------------- | ------: |
| Text to image    |  \$0.03 |
| Style references | \$0.035 |
| Moodboards       |  \$0.04 |

<Accordion title="Deprecated request aliases">
  These aliases are accepted for compatibility only and are not shown in the request schema.

  | Deprecated       | Use instead              | Accepted until |
  | ---------------- | ------------------------ | -------------- |
  | `presetStyles`   | `styles`                 | 2026-06-19     |
  | `imageStyleRefs` | `image_style_references` | 2026-06-19     |
</Accordion>


## OpenAPI

````yaml https://api.krea.ai/openapi.json post /generate/image/krea/krea-2/medium
openapi: 3.1.0
info:
  title: Krea API
  version: v1
servers:
  - url: https://api.krea.ai
    description: Krea API
security:
  - bearerAuth: []
tags:
  - name: General
    description: Core API operations including job management and billing information
  - name: Krea
    description: Krea-owned generation models including Krea 2
  - name: Assets
    description: >-
      Asset management endpoints for uploading and managing images, videos,
      audio files, and 3D models
  - name: Styles
    description: Style (LoRA) generation and management endpoints
  - name: Node Apps
    description: Executing custom node apps built in our nodes tool
  - name: Image
    description: Image generation endpoints
  - name: Image Enhance
    description: Image enhance endpoints
  - name: Video
    description: Video generation endpoints
paths:
  /generate/image/krea/krea-2/medium:
    post:
      tags:
        - Krea
      summary: Krea 2 Medium
      description: Best for expressive illustrations.
      parameters:
        - name: X-Webhook-URL
          in: header
          required: false
          schema:
            type: string
            format: uri
          description: >-
            URL to receive a POST request when the job completes. The webhook
            will receive the job data including results.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                seed:
                  type:
                    - number
                    - 'null'
                styles:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                      strength:
                        type: number
                        minimum: -2
                        maximum: 2
                    required:
                      - id
                      - strength
                  description: Styles (typically LoRAs) to use for the generation
                image_style_references:
                  type: array
                  items:
                    type: object
                    properties:
                      strength:
                        type: number
                        minimum: 0
                        maximum: 1
                        default: 0.5
                      url:
                        type: string
                        format: uri
                    required:
                      - url
                  maxItems: 10
                  description: >-
                    Image style references. (0 = no style influence, 1 =
                    maximum). Default 0.5.
                aspect_ratio:
                  type: string
                  enum:
                    - '1:1'
                    - '4:3'
                    - '3:2'
                    - '16:9'
                    - 2.35:1
                    - '4:5'
                    - '2:3'
                    - '9:16'
                  description: >-
                    Aspect ratio. One of: 1:1, 4:3, 3:2, 16:9, 2.35:1, 4:5, 2:3,
                    9:16.
                resolution:
                  type: string
                  enum:
                    - 1K
                  description: 'Resolution scale. One of: 1K.'
                creativity:
                  type: string
                  enum:
                    - raw
                    - low
                    - medium
                    - high
                  default: low
                  description: >-
                    Prompt expansion mode. `raw` disables prompt expansion;
                    `low`, `medium`, and `high` control expansion strength. This
                    does not affect the K2 Intensity or Complexity slider LoRAs.
                intensity:
                  type: integer
                  minimum: -100
                  maximum: 100
                  default: 0
                  description: >-
                    K2 Intensity slider value from -100 to 100. Use 0 for
                    neutral/no slider LoRA.
                complexity:
                  type: integer
                  minimum: -100
                  maximum: 100
                  default: 0
                  description: >-
                    K2 Complexity slider value from -100 to 100. Use 0 for
                    neutral/no slider LoRA.
                moodboards:
                  type: array
                  items:
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                      strength:
                        type: number
                        minimum: 0
                        maximum: 1
                        default: 0.23
                    required:
                      - id
                  maxItems: 1
                  description: >-
                    Moodboards to use for generation. Currently limited to one
                    moodboard.
              required:
                - prompt
                - aspect_ratio
                - resolution
              additionalProperties: false
            example:
              prompt: An igloo village glowing with Aurora's colors.
              aspect_ratio: '1:1'
              resolution: 1K
      responses:
        '200':
          description: >-
            The resulting job data. This will be returned in a pending state
            until the job is completed. See
            [`/jobs/{id}`](#tag/default/get/jobs/{id}) for retrieving the
            results.
          content:
            application/json:
              schema:
                type: object
                properties:
                  job_id:
                    type: string
                    format: uuid
                  status:
                    type: string
                    enum:
                      - backlogged
                      - queued
                      - scheduled
                      - processing
                      - sampling
                      - intermediate-complete
                      - completed
                      - failed
                      - cancelled
                  created_at:
                    type: string
                    format: date-time
                  completed_at:
                    type: 'null'
                  result:
                    type: 'null'
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                    required:
                      - code
                required:
                  - job_id
                  - status
                  - created_at
                  - completed_at
                  - result
        '400':
          description: The request body is invalid.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '401':
          description: You are not authenticated.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '402':
          description: You have run out of credits.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '429':
          description: You have reached the maximum number of concurrent jobs.
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: Bearer
      type: http

````